API Documentation | All Packages | All Classes | Index | Frames No Frames |
PNGImage

Package | org.alivepdf.images
Class | public final class PNGImage
Inheritance | PNGImage PDFImage Object

Public Properties
Hide Inherited Public Properties
Show Inherited Public Properties

| Property | Defined By
--- | --- | ---
|  | bpc : int = 8 | PDFImage
|  | bytes : ByteArray [override] [read-only] | PNGImage
|  | cs : String = DeviceRGB | PDFImage
|  | ct : Number | PDFImage
|  | f : String | PDFImage
|  | height : int | PDFImage
|  | i : int | PDFImage
|  | n : int | PDFImage
|  | pal : String | PDFImage
|  | parameters : String | PDFImage
|  | progressive : Boolean | PDFImage
|  | trns : String | PDFImage
|  | width : int | PDFImage

Protected Properties
Hide Inherited Protected Properties
Show Inherited Protected Properties

| Property | Defined By
--- | --- | ---
|  | stream : ByteArray | PDFImage

Public Methods

| Method | Defined By
--- | --- | ---
|  | PNGImage(imageStream:ByteArray, id:int) | PNGImage

Property Detail

bytes | property

`bytes:ByteArray` [read-only] [override]

Implementation
`public function get bytes():ByteArray`
Constructor Detail

PNGImage | () | Constructor

`public function PNGImage(imageStream:ByteArray, id:int)`

Parameters

| `imageStream:ByteArray`
| `id:int`

Mon Oct 17 2011, 09:13 PM -04:00